module subtracter_4(
					X,Y,BIN,
					D,BOUT);
output [3:0] D;
output BOUT;
input  [3:0] X;
input  [3:0] Y;
input  BIN;

reg [3:0] D;
reg BOUT;

wire wire_1;
wire wire_2;
wire wire_3;

subtracter_1 
U1(.X(X[3]),.Y(Y[3]),.BIN(wire_3),.D(D[3]),.BOUT(BOUT)),
U2(.X(X[2]),.Y(Y[2]),.BIN(wire_2),.D(D[2]),.BOUT(wire_3)),
U3(.X(X[1]),.Y(Y[1]),.BIN(wire_1),.D(D[1]),.BOUT(wire_2)),
U4(.X(X[0]),.Y(Y[0]),.BIN(BIN),   .D(D[0]),.BOUT(wire_1));

endmodule